/***************************************************************************
 *   Copyright (C) 2005 by Andrew Krause                                   *
 *   Based on gtksourceviewmm by Rob Page                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _GTKSOURCEVIEWMM_SOURCEVIEW_P_H
#define _GTKSOURCEVIEWMM_SOURCEVIEW_P_H

#include <gtkmm/private/bin_p.h>
#include <gtkmm/private/textview_p.h>
#include <glibmm/class.h>

namespace Gtk
{
  class SourceView_Class : public Glib::Class
  {
  public:
    typedef SourceView CppObjectType;
    typedef GtkSourceView BaseObjectType;
    typedef GtkSourceViewClass BaseClassType;
    typedef Gtk::TextView_Class CppClassParent;
    typedef GtkTextViewClass BaseClassParent;

    friend class SourceView;
    const Glib::Class& init();
    static void class_init_function(void* g_class, void* class_data);
    static Glib::ObjectBase* wrap_new(GObject*);
  };
}

#endif
